Configuration tool

[Release Information]

Release package name: PTNetWinConfig V3.102 ---------- Release package of configuration tool
Content include:
PTNetWinConfig.exe ----------- application of configuration tool
Guide.chm ----------- English help file of configuration tool

[Main Index]

Supported operating systems: Windows 2000, Windows XP, Windows server 2003, Windows Vista, Windows 7, Windows 8.
Supported interface modules: JK-E01, firmware version: 1.05 or above.
JK-W01, firmware version: 1.000 or above.
JK-E02, firmware version: 2.000 or above.
JK-E04, JK-E05, JK-W03.
Notice:
1. To use the printer of JK-E02 expediently, please setup the protocol of IPX/SPX in the system of Windows 2000, Windows XP, Windows server 2003.
2. The functions of "Printer Status" and "Print Test Page" apply the printers of POS command.

[Version History]

Version: V3.112
Release Date: Apr, 2014
Information: 1. Fixed the JK-W03 security bugs.
2. Fixed the Guide.

Version: V3.102
Release Date: Feb, 2014
Information: 1. Fixed the JK-E05 bugs.
2. Fixed the Guide.

Version: V3.092
Release Date: Nov, 2013
Information: 1. Fixed the JK-W03 bugs.
2. Fixed the Guide.

Version: V3.082
Release Date: July, 2013
Information: 1. Add password of wireless.
2. Add JK-W03 .

Version: V3.072
Release Date: Jan, 2013
Information: 1. Add password of JK-E05.
2. Add save and show data of setting.

Version: V3.062
Release Date: June, 2012
Information: Add JK-E05.

Version: V3.05
Release Date: June, 2010
Information: When search printer by UDP Broadcast protocol, software check same MAC address and show one MAC device information in list.

Version: V3.04
Release Date: Nov, 2009
Information: 1. Add UDP Broadcast protocol to search and configure function of JK-E04 interface device .
2. Perfect gateway limited condition.
3. Perfect JK-E02 send command order of configuring print port and password.

Version: V3.03
Release Date: May, 2009
Information: Add WPANONE and WPA2-PSK of wireless Security protocol, and add UDP Broadcast protocol to search and configure function.

Version: V3.01
Release Date: Mar, 2009
Information: Add DHCP timeout setting, add function of getting device status, and information of input password .

Version: V3.0
Release Date: Sep, 2008
Information: Add JK-E02 by IPX protocol to search, add language change of Chinese and English.

Version: V2.0
Release Date: May, 2006
Information: First release, the function is done that JK-E01 is compatible with JK-W01.


Installation and Uninstall

Configuration tool doesn't offer setup program. When the file "PTNetWinConfig.exe" is copied to hard disk of user computer, the installation is completed.

Delete application "PTNetWinConfig.exe" file to finish uninstall of configuring tool.

Running

Double click the application "PTNetWinConfig.exe" to run this configuration tool, then show below main dialog.

Functions

Configuration tool communicates with network printer complying the Protocols as TCP, UDP, UDP Broadcast, TFTP, IPX. Its main function are shown as below:

Protocol Operation function;

Search Printers function;

Wireless Parameter Setting function;

IP Parameter Setting function;

Interface Firmware Update function;

Printer Status function;

Print Test Page function;

Reboot Device function.


新建网页 1

Protocol Operation function

Click "Protocol Operation" button to show "Select protocol" dialog:

UDP protocol: the printer of JK-E01, JK-E02 or JK-W01/JK-W03 and your computer must be configured for the same network segment, the printer of JK-W01/JK-W03 must connect to the network of wireless. After search printers, IP address can not be same.

UDP Broadcast protocol: the printer of JK-E02 (FV2.010 or above) , JK-E04 and JK-E05 can not be configured for the same network segment with your computer, and after search printers, IP address can be same.

IPX/SPX protocol: the printer of JK-E02 can not be configured for the same network segment with your computer, but your computer must setup the protocol of IPX/SPX. In IPX/SPX properties the value of Frame type is set as "Ethernet 802.3" and the value of Network number is set as "00000000" or "00000001".

After all IPX/SPX setting, however do not search the printer, you can according to condition 2) to set the JK-E02 printer and your computer in a same network segment, then search printer.

UDP and IPX/SPX protocol: First search printers by UDP protocol, then search printers by IPX/SPX protocol. After search printers, IP address can not be same.

Notice: After search printers, configuration function is different from different interface module, and different protocol.

 | JK-E01 | JK-W01 | JK-E02 | JK-E04 | JK-W03 | JK-E05
UDP | 1. IP Parameter Setting (DHCP, Fixed IP Address, Restore Default Configuration) 2. Interface Firmware Update 3. Printer Status 4. Printer Test Page | 1. Wireless Parameter Setting 2. IP Parameter Setting (DHCP, Fixed IP Address, Restore Default Configuration) 3. Interface Firmware Update 4. Printer Status 5. Printer Test Page 6. Reboot Device | 1.Password verify 2. IP Parameter Setting (all function) 3. Interface Firmware Update 4. Printer Status 5. Printer Test Page 6. Reboot Device | - | 1. Wireless Parameter Setting 2. IP Parameter Setting (DHCP, Fixed IP Address, Create Password, Configure Print port, Restore Default Configuration) 3. Interface Firmware Update 4. Printer Status 5. Printer Test Page 6. Reboot Device | -
UDP Broadcast | - | - | 1.Password verify 2. IP Parameter Setting (all function) 3. Printer Status 4. Printer Test Page 5. Reboot Device | 1.IP Parameter Setting ( Fixed IP Address, Configure Print Port, Restore Default Configuration) 2. Printer Status 3. Printer Test Page 4. Reboot Device | 1. Wireless Parameter Setting 2. IP Parameter Setting (DHCP, Fixed IP Address, Create Password, Configure Print port, Restore Default Configuration) 3. Interface Firmware Update 4. Printer Status 5. Printer Test Page 6. Reboot Device | 1.IP Parameter Setting ( DHCP, Fixed IP Address, Configure Print Port, Restore Default Configuration) 2. Printer Status 3. Printer Test Page 4. Reboot Device
IPX/SPX | - | - | 1.Password verify 2. IP Parameter Setting (all function) 3. Printer Status 4. Printer Test Page 5. Reboot Device | - | 1. Wireless Parameter Setting 2. IP Parameter Setting (DHCP, Fixed IP Address, Create Password, Configure Print port, Restore Default Configuration) 3. Interface Firmware Update 4. Printer Status 5. Printer Test Page 6. Reboot Device | -


新建网页 1

Search Printers function

Click "Search Printers" button , it can search all printers by set protocol. When finished the search, the application shows dialog information.

If no printer is found, the application shows other dialog information. If printer status is normal, user does not search printer and consult "Appendix/FAQ/[1]"

Print Test Page function

Select the object in the list, then click "Print Test Page" button to finish printing test page.

Notice: 1. This function applies the printers of POS command.
2. Result of "Print Test Page" is failure, the causation include :printer and your computer is not a same network segment, or your network manager have limited this communication.


新建网页 1

Wireless Parameter Setting function

1)Select the printer in the list, if the printer interface is JK-W01/JK-W03, then you can click "Wireless Parameter Setting" button to show the password dialog firstly:

Default password is NULL, you can return main dialog and click "IP Parameter Setting" button to verify default password. It must input your password to verify new password while you have set a password . It can input the dialog of Network parameter setting if password is true, other it can show "Password validate unsuccessfully!" .

2) show the windows of wireless parameter setting secondly.

Via modification view of wireless parameter configuration, the items can be modified as below: country option, the configuration of wireless basic parameter, configuration in safety mode;
Wireless basic configuration include:
Configure communication mode: 1: Infrastructure; 2: AD-Hoc, default setting is AD-HOC.
SSID settings: wireless service settings ID, default setting is RP-600.
Channel settings: When infrastructure mode is selected, obtain channel automatically; In AD-Hoc mode, the range of channel settings is relative to country.
Security mode settings include:
Security Mode: WEP , WPANONE, WPA-PSK, WPA2-PSK.
Wep Mode:Open system or Shared key.
WPA Mode: AES, TKIP.
Wep / WPA Key: data of Wep or WPA.

When configuration modification is finished, click "OK" button to end it.

Notice: After modifying the configuration of JK-W01/JK-W03(Wireless LAN interface module), you should click "Reboot Device" button to finish long-distance reboot printer.


新建网页 1

IP Parameter Setting function

Select the printer in the list and click "IP Parameter Setting" button.

1). If the printer interface is JK-E02/JK-E05/JK-W03 , first show the password dialog:

Default password is NULL, you can click "OK" button to verify default password. It must input your password to verify new password while you have set a password . It can input the dialog of Network parameter setting if password is true, other it can show "Password validate unsuccessfully!" .

2). If the printer interface is JK-E01, JK-W01, JK-E04 or JK-W03, click "IP Parameter Setting" button to show below dialog of network parameter setting:

Via network printer IP address configuring modifying network parameter, you can modify the configuration as IP address, subnet MASK and GATEWAY. The method of configuring network parameter include: 1.DHCP(JK-E02 and JK-E05 card need set the timeout of DHCP, JK-E04 does not support DHCP protocol); 2.Fixed IP Address.
You can select "Restore Default Configuration" to restore default parameter.
The express functions of JK-E02 and JK-E05 include "Create Password".
The express functions of JK-E02 , JK-E04 and JK-E05 include "Configure Print Port" . The range of printing port is from 1 to 65534, excluding 9000, 4000, 3100, 3000, 515, 80, 69 and 21 ports.
The express functions of JK-E05 include "JK-E05 turn on an alarm when the net wire is out".

Network parameter modification is finished, click "OK" button.

Notice:
1).IP address and gateway address (not null) settings limit as below:

 | ip1 | ip2 | ip3 | ip4
Range | 1 ≤ ip1 ≤ 223, | 0 ≤ ip2 ≤ 255 | 0 ≤ ip3 ≤ 255 | 0 ≤ ip4 ≤ 255

IP address and gateway address do not set first address and broadcast address of subnet, and bust be set in a same subnet. IP address is not setting "127.0.0.1".

2). Subnet address setting limit as below:

 | sub1 | sub2 | sub3 | sub4
Range | 128/192/224/240/248/252/254/255 | 0/128/192/224/240/248/252/254/255 | 0/128/192/224/240/248/252/254/255 | 0/128/192/224/240/248/252/254

Subnet address is seriate, subnet address data change data of binary system, for example,
Right: sub1 = 255, sub2 = 255,sub3 = 254,sub4 = 0 Data of binary system: 11111111 11111111 11111110 00000000
Error: sub1 = 255, sub2 = 255,sub3 = 253,sub4 = 0 Data of binary system: 11111111 11111111 11111101 00000000
3). After modifying the configuration of JK-W01/JK-W03(Wireless LAN interface module) , JK-E02, JK-E04 and JK-E05, you should click "Reboot Device" button to finish long-distance reboot printer.
4). If product parameter especially for many units should be modified before out of factory, please consult "Appendix/FAQ/ [4]".
5). If your printer is the printer of JK-W01/JK-W03, which setting is mode of Ad-HOC, you should not set mode of DHCP in here.
6). Setting the timeout of DHCP aplly JK-E02 or JK-E05 card only.
7). JK-E04 does not support DHCP protocol.


新建网页 1

Interface Firmware Update function

Select the printer in the list, then click "Interface Firmware Update" button and show windows of interface firmware update:

Click "Open File" button to select and Open Firmware file, then click "Update" button then information shows upgrading schedule. When firmware upgrade is finished, a prompt shall be given.

Notice: In updating process, don't allow to proceed other operation to network device.

After update of JK-W01or JK-E02 or JK-W03, you should click "Reboot Device" button to finish long-distance reboot printer.


Get Device Status

Printer Status function

Select the printer in the list, then click "Printer Status" button and show windows of check printer status:

In this dialog, you can click "Check Status" button to check status of selected device. If all status are normal, the ico show green. Else if status have error, the ico of status list show red. Default all ico show gray.

Status are all normal, it shows next dialog:

Status have error, it shows next dialog:

Notice: 1. This dialog shows the status of POS command printers, not support other printers.
2. Result of "Check Status" is "Printer is off-line", the causation include :printer and your computer is not a same network segment, or your network manager have limited this communication.


新建网页 1

Reboot Device function

Select the object in the list, then click "Reboot Device" button to reboot printer:

Reading the prompt, then you will select if you now reboot printer immediately. If you select "OK" to finish it and configured parameters are effective, else you will do other management with this printer.

Notice: Reboot device successfully after printer feed paper.


新建网页 1

[1] The network printer status is normal, why the tool of PTNetWinConfig.exe can not search this printer?

[Answer1] The reasons of making for that the tool of PTNetWinConfig.exe can not search the printer have next many instance:

a). If user searches printer by UDP protocol, please first checks whether windows firewall is closed. The firewall can shield that the process visit the network, so you can close the firewall of system in user computer. Second, you can check whether user computer IP address is on a same network segment with printer IP address, please configure user computer IP address is on a same network segment with printer IP address.

b). If user searches printer by IPX/SPX protocol, please first checks whether computer have installed the IPX/SPX protocol. If user computer does not install the IPX/SPX protocol, you can adopt the following steps to install it :

In Windows XP system: Open properties dialog of "My Network Places", then open properties dialog of "Local Area Connection":

Click on "Install" button, then show dialog below :

Select "Protocol" and then click on "Add" button:

Select "NWLink IPX/SPX/NetBIOS Compatible Transport Protocol" and then click on "OK" button to start the installation.

Second, you can check whether the parameter of IPX/SPX protocol is consistent with printer.

After you have installed the IPX/SPX protocol, open IPX/SPX properties dialog. The value of Frame type must be set as "Ethernet 802.3" and the value of Network number must be set as "00000000" or "00000001".

c). If user search printer by UDP Broadcast protocol, you can check whether interface module is JK-E02, and JK-E02 firmware version is FV2.010 or above.

d). If you have eliminated the foretype, you can check whether user computer have installed multi-network card. You can set PRI of these network card or disenable the unused network card, then search printer.
After search printers, If user computer have installed multi-network card, the function of configuration can exist failure, for example, validate password failure, setting ip parameter failure, and reboot device failure.

[2] Why can not user install the IPX/SPX protocol in Windows Vista system?

[Answer2] Because Windows Vista system do not support the IPX/SPX protocol.

[3] User set new password of JK-E02 and do not reset JK-E02, then input old password and validate unsuccessfully?

[Answer3] Because JK-E02 deal with password setting real time, after you set new password, JK-E02 set new password availably. Here you can input new password to validate.

[4] How do user configure parameter of the leave factory network printer?

[Answer4] If user uses the JK-E01 or JK-W01, you can connect one printer every time and configure different IP address.
If user uses the JK-E02, you can search many printers by IPX/SPX, then configure different IP address. And user can search many printer by UDP broadcast, then configure different IP address.

[5] User do not configure wireless connection by windows system, how do user deal with it?

[Answer5] Open properties dialog of "My Network Places", then open properties dialog of "Wireless Network Connection", here exist two instance.

The first instance is that it have not page of "Wireless Networks":

This thing may do not start service of "Wireless Zero Configuration", you can adopt the following steps:

Click right button of "My Computer", select "Manage" of menu, show dialog of "Computer Management", then select and click "Services" of "Services and Applications", start "Wireless Zero Configuration":

Next open properties dialog of "Wireless Network Connection", select "Use Windows to configure my wireless network setting" of "Wireless Networks" page:

Click "OK" button to configure wireless connection by windows system:

The Second instance is that it does not select "Use Windows to configure my wireless network setting" of "Wireless Networks" page, you select it and click "OK" button to configure wireless connection by windows system.

[6] After searched printers, Printer Status and Print Test Page operation unsuccessfully, why?

[Answer6] If you use JK-E02 , JK-E04 or JK-E05 interface printer, search function sustain different network segment, but Printer Status and Print Test Page function communicate by TCP protocol, which is communication method of connection. If printer and your computer is not a same network segment, or your network manager have limited this communication, then Printer Status and Print Test Page operation unsuccessfully. You can do next:
1). Setting printer parameter and computer parameter in a same network segment;
2). Network manager set communication in different network segment.

[7] How to add a program to Exceptions?

[Answer7] When use Ethernet port, if open port failed , you can check as the following methods:

  • Whether the printer and the PC have been connected with Ethernet cable correctly.
  • Whether t he parameter of Ethernet port is correctly.
  • Whether your select printer name matches the current Ethernet printer.

If the above condition is ok, the program still open port failed. Please add the PTNetWinConfig.exe program to Exceptions first and try again. The following take Windows XP system for example:

1. Click on menu "Start" -> "Settings" ->"Control Panel".

2. In the Control Panel dialog, double click the application "Windows Firewall" and select "Exceptions".

3. Click "Add Program" button. The browse dialog box will be displayed. Browse to directory in which the PTNetWinConfig.exe is stored, then select it and click "Open" button.

4. The "PTNetWinConfig.exe" has been added to the list, now double click the PTNetWinConfig.exe program and try again.